﻿namespace Cuce.ReportingServices.Testing.Sample.nUnit
{
    using NUnit.Framework;
    using SSRSWS;
    
    [TestFixture]
    public class UnitTests
    {


        public UnitTests()
        {

            t = new UnitTestWrapper(new ReportingService())
                    {
                            ReportServer = "http://test/ReportServer",
                            Credentials = new System.Net.NetworkCredential("username", "password", "domain"),
                            WebProxy = new System.Net.WebProxy()
                    };
        }

        private readonly UnitTestWrapper t;
        


        [Test]
        public void Test_SampleTest()
        {

            var name = new ReportName("test", "/Sample Test/"); 
            ReportOutputRowCollection i = t.TestReport(name);
            
            Assert.AreEqual(i[0].Columns[0].ToString(), "test");
           
        }

    
    }
}
