﻿namespace Cuce.ReportingServices
{

    /// <summary>
    /// Format of the Rendered Document
    /// </summary>
    public enum OutputType
    {

        /// <summary>
        /// XML
        /// </summary>
        XML,
        /// <summary>
        /// CSV
        /// </summary>
        CSV,
        /// <summary>
        /// Image format
        /// </summary>
        IMAGE,
        /// <summary>
        /// PDF format
        /// </summary>
        PDF,
        /// <summary>
        /// HTML4
        /// </summary>
        HTML4, //Issue with this it should be 4.0
        /// <summary>
        /// HTML3.2
        /// </summary>
        HTML3, //Issues with this, it should be 3.2
        /// <summary>
        /// Embedded HTML
        /// </summary>
        MHTML,
        /// <summary>
        /// Excel spreadsheet
        /// </summary>
        EXCEL,
        /// <summary>
        /// Not sure
        /// </summary>
        HTMLOWC

    }

}
